using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class WebUserControl : System.Web.UI.UserControl
{
	protected void Page_Load(object sender, EventArgs e)
	{
		//get the Ajax manager
		RadAjaxManager aM = RadAjaxManager.GetCurrent(Page);
		if (aM == null)
		{
			Response.Write("XFileExplorer needs an Ajax manager in the page holding the control!");
			Response.End();
			return;
		}
		//calling Ajax function changes grid and hidden fields - so add settings
		AjaxSetting aS = new AjaxSetting(aM.ID);
		string strLoadPanelID = aM.DefaultLoadingPanelID;	//use default loading panel
		//the next does not work -- it makes problems with UpdatePanelRenderMode
		aS.UpdatedControls.Add(new AjaxUpdatedControl(rgBackupFiles.ID, strLoadPanelID));
		aS.UpdatedControls.Add(new AjaxUpdatedControl(hfSaveCurDir.ID, strLoadPanelID));
		aS.UpdatedControls.Add(new AjaxUpdatedControl(hfSaveCurFile.ID, strLoadPanelID));
		aM.AjaxSettings.Add(aS);
		aM.UpdatePanelsRenderMode = UpdatePanelRenderMode.Inline;
		//aM.AjaxSettings.AddAjaxSetting(aM, rgBackupFiles);
		//add request handler
		aM.AjaxRequest += new RadAjaxControl.AjaxRequestDelegate(OnControlsl_AjaxRequest);
		//create settings for file system provider
	}
	//handle restore and delete from grid
	//provide data for the grid
	protected void rgBackupFiles_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
	{
		DataTable dt = new DataTable();
		DataRow dr;
		int colsNum = 5;
		int rowsNum = 20;
		string colName = "Column";

		for (int j = 1; j <= colsNum; j++)
		{
			dt.Columns.Add(String.Format("{0}{1}", colName, j));
		}

		for (int i = 1; i <= rowsNum; i++)
		{
			dr = dt.NewRow();

			for (int k = 1; k <= colsNum; k++)
			{
				dr[String.Format("{0}{1}", colName, k)] = String.Format("{0}{1} Row{2}", colName, k, i);
			}
			dt.Rows.Add(dr);
		}

		(source as RadGrid).DataSource = dt;
	}

	//workaround for failure with ShowHeadersWhenNoRecords
	//called when an element (file / folder) is selected in FileExplorer
	protected void OnControlsl_AjaxRequest(object sender, Telerik.Web.UI.AjaxRequestEventArgs e)
	{

	}
}
